org.springframework.data.repository.core.support

## Interface MethodLookup.MethodPredicate

All Superinterfaces:
  BiPredicate<MethodLookup.InvokedMethod,Method>

Enclosing interface:
  MethodLookup

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface MethodLookup.MethodPredicate
    extends BiPredicate<MethodLookup.InvokedMethod,Method>

A method predicate to be applied on the `MethodLookup.InvokedMethod` and `method candidate`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `test(MethodLookup.InvokedMethod invokedMethod, Method candidate)`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or`

### Method Detail

#### test

    boolean test(MethodLookup.InvokedMethod invokedMethod,
                 Method candidate)

Specified by:
  `test` in interface `BiPredicate<MethodLookup.InvokedMethod,Method>`